function filter_test()
    sampleRate = 1000;
    time_ticks = 0:1/sampleRate:1;
    
    freq1 = 100;
    freq2 = 200;
    freq3 = 300;
    freq4 = 400;
    
    
    %REAL
    %signal = sin(2*pi*freq1*time_ticks) + sin(2*pi*freq2*time_ticks) + sin(2*pi*freq3*time_ticks) + sin(2*pi*freq4*time_ticks);
    
    %COMPLEX
    %signal = exp(j*2*pi*freq1*time_ticks) + exp(j*2*pi*freq2*time_ticks) + exp(j*2*pi*freq3*time_ticks) + exp(j*2*pi*freq4*time_ticks);
    
    %NOISE
    signal = wgn(1, 1*sampleRate, 20);
    
    %NOISE
    %signal = hilbert(wgn(1, 1*sampleRate, 20));
    
    plot_fft(signal, sampleRate); %axis([-inf inf 0 inf]);
    
    %return;
    
    if(0)
    %LOW PASS
    lowFreqLimit = 0 / (sampleRate/2); %As fraction of the Nyquist freq.
    highFreqLimit = 150 / (sampleRate/2); %As fraction of the Nyquist freq.
    filteredSignal = sinc_filter(signal, [lowFreqLimit highFreqLimit]);
    plot_fft(filteredSignal, sampleRate); title('Low pass');
    
    return;
    end
    
    %BAND PASS
    lowFreqLimit = 150 / (sampleRate/2); %As fraction of the Nyquist freq.
    highFreqLimit = 350 / (sampleRate/2); %As fraction of the Nyquist freq.
    filteredSignal = sinc_filter(signal, [lowFreqLimit highFreqLimit]);
    plot_fft(filteredSignal, sampleRate); title('Band pass');
    
    return;
    
    %HIGH PASS
    lowFreqLimit = 250 / (sampleRate/2); %As fraction of the Nyquist freq.
    highFreqLimit = (sampleRate/2) / (sampleRate/2); %As fraction of the Nyquist freq.
    filteredSignal = sinc_filter(signal, [lowFreqLimit highFreqLimit]);
    plot_fft(filteredSignal, sampleRate); title('High pass');
end